git: 9e9ba3cdbe11 - main - test: Update boot universe build architectures

From: Warner Losh <imp_at_FreeBSD.org>
Date: Fri, 08 Jul 2022 17:50:07 UTC
The branch main has been updated by imp:

URL: https://cgit.FreeBSD.org/src/commit/?id=9e9ba3cdbe11a411d2ed47c551d8a83f47150c81

commit 9e9ba3cdbe11a411d2ed47c551d8a83f47150c81
Author:     Warner Losh <imp@FreeBSD.org>
AuthorDate: 2022-07-08 17:07:39 +0000
Commit:     Warner Losh <imp@FreeBSD.org>
CommitDate: 2022-07-08 17:47:37 +0000

    test: Update boot universe build architectures
    
    We build lua by default, so we don't need another build to build it
    enabled w/o FORTH. That gives little value over the without forth
    builds. Remove all mips, they are no longer relevant. Build aarch64
    everywhere we build amd64 (except firewire which is x86 only). Build a
    few more architectures once so we have at least one of every arch we
    support in at least the default build. This should increase coverage
    and still take less time than before.
    
    Sponsored by:           Netflix
---
 tools/boot/universe.sh | 34 +++++++++++-----------------------
 1 file changed, 11 insertions(+), 23 deletions(-)

diff --git a/tools/boot/universe.sh b/tools/boot/universe.sh
index a23678100705..13d707750b86 100755
--- a/tools/boot/universe.sh
+++ b/tools/boot/universe.sh
@@ -3,13 +3,9 @@
 # $FreeBSD$
 
 #
-# Full list of all arches, but we only build a subset. All different mips add any
-# value, and there's a few others we just don't support.
+# Full list of all arches we don't build.
 #
-#	mips/mipsel mips/mips mips/mips64el mips/mips64 mips/mipsn32 \
-#	mips/mipselhf mips/mipshf mips/mips64elhf mips/mips64hf \
-#	powerpc/powerpc powerpc/powerpc64 powerpc/powerpcspe \
-#	riscv/riscv64 riscv/riscv64sf
+#	powerpc/powerpcspe riscv/riscv64sf arm/armv6
 #
 # This script is expected to be run in stand (though you could run it anywhere
 # in the tree). It does a full clean build. For stand you can do all the archs in
@@ -45,7 +41,7 @@ dobuild()
 	echo "Fail (cleanup)"
 	continue
     fi
-    if ! make buildenv TARGET_ARCH=$ta BUILDENV_SHELL="make ${opt} -j 20 all"  \
+    if ! make buildenv TARGET_ARCH=$ta BUILDENV_SHELL="make ${opt} -j 40 all"  \
 	 >> $lf 2>&1; then
 	echo "Fail (build)"
 	continue
@@ -58,6 +54,7 @@ cd $top/stand
 
 # Build without forth
 for i in \
+	arm64/aarch64 \
 	amd64/amd64 \
 	i386/i386 \
 	; do
@@ -67,6 +64,7 @@ done
 
 # Build without GELI
 for i in \
+	arm64/aarch64 \
 	amd64/amd64 \
 	i386/i386 \
 	; do
@@ -74,34 +72,24 @@ for i in \
     dobuild $ta _.boot.${ta}.no_geli.log "WITHOUT_LOADER_GEIL=yes"
 done
 
-# Default build for a goodly selection of architectures
+# Default build for a almost all architectures
 for i in \
 	amd64/amd64 \
 	arm/armv7 \
 	arm64/aarch64 \
 	i386/i386 \
-	mips/mips mips/mips64 \
-	powerpc/powerpc powerpc/powerpc64 \
+	powerpc/powerpc \
+	powerpc/powerpc64 \
+	powerpc/powerpc64le \
+	riscv/riscv64 \
 	; do
     ta=${i##*/}
     dobuild $ta _.boot.${ta}.log ""
 done
 
-# Default build for a goodly selection of architectures with Lua
-for i in \
-	amd64/amd64 \
-	arm/armv7 \
-	arm64/aarch64 \
-	i386/i386 \
-	mips/mips mips/mips64 \
-	powerpc/powerpc powerpc/powerpc64 \
-	; do
-    ta=${i##*/}
-    dobuild $ta _.boot.${ta}.lua.log "MK_LOADER_LUA=yes MK_FORTH=no"
-done
-
 # Build w/o ZFS
 for i in \
+	arm64/aarch64 \
 	amd64/amd64 \
 	i386/i386 \
 	; do